168c:0023 ath9k wifi slow, and frequently disconnects/reconnects

Bug #1032826 reported by Sebastian Schlatow on 2012-08-03
70
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

The connection to the wireless network often gets lost and then reconnects. Furthermore the connection to the wireless network is often very slow (1 Mb/s). Sometimes after I have reloaded the ath9k kernel module, I can get a connection to the network and sometimes not. Sometimes I have to reboot the pc, because I can't get a connection, but often I can't get a connection after that.

wireless card:
TP-Link TL-WN951N (AR5416 / AR5008 / 168c:0023)

In these upstream kernel versions the bug is still present:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4.1-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4.6-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.3-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.4-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc5-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc6-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc7-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.1-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.3-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.8-raring/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-raring/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7.6-raring/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc6-raring/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc7-raring/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-raring/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-raring/

I had this problem also with Ubuntu Oneiric Ocelot 11.10 and with Ubuntu Natty Narwhal 11.04, but with Natty the problem was not so bad because it was very rare.

Wireless Access Point Manufacturer, Model: FRITZ!Box Fon WLAN 7141
Firmware-Version: 40.04.76

Encryption Type: WPA2 (CCMP)
No MAC filtering.

Other WiFi devices (Android Phones, Netbooks, Laptop) works with this
wireless access point without problems.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-27-generic 3.2.0-27.43
ProcVersionSignature: Ubuntu 3.2.0-27.43-generic 3.2.21
Uname: Linux 3.2.0-27-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu11
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: buzz-dee 2462 F.... pulseaudio
 /dev/snd/controlC0: buzz-dee 2462 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xfbffc000 irq 17'
   Mixer name : 'Realtek ALC660-VD'
   Components : 'HDA:10ec0660,1043c603,00100001'
   Controls : 36
   Simple ctrls : 19
Card1.Amixer.info:
 Card hw:1 'SAA7134'/'saa7133[0] at 0xfbeef800 irq 18'
   Mixer name : 'SAA7134 Mixer'
   Components : ''
   Controls : 6
   Simple ctrls : 3
CurrentDmesg:
 [ 51.480531] vboxdrv: fAsync=1 offMin=0x3600c offMax=0x3600c
 [ 51.480654] vboxdrv: TSC mode is 'asynchronous', kernel timer mode is 'normal'.
 [ 51.480656] vboxdrv: Successfully loaded version 4.1.12_Ubuntu (interface 0x00190000).
 [ 51.525894] vboxpci: IOMMU not found (not registered)
 [ 52.102129] init: plymouth-stop pre-start process (2156) terminated with status 1
Date: Fri Aug 3 22:12:57 2012
HibernationDevice: RESUME=UUID=7a9c200e-f813-4561-9c36-0d50f5e42f84
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
MachineType: System manufacturer M2V
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/zsh
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-27-generic root=UUID=837266ea-e282-4520-9b4d-8cf22d49c9cd ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-27-generic N/A
 linux-backports-modules-3.2.0-27-generic N/A
 linux-firmware 1.79
SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2012-06-10 (54 days ago)
dmi.bios.date: 02/21/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2101
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2V
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2101:bd02/21/2008:svnSystemmanufacturer:pnM2V:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2V:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: M2V
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Sebastian Schlatow (buzz-dee) wrote :
description: updated
Brad Figg (brad-figg) on 2012-08-03
Changed in linux (Ubuntu):
status: New → Confirmed
description: updated
description: updated
description: updated
description: updated
description: updated
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.5kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-wifi natty oneiric
summary: - TP-Link TL-WN951N (AR5416 / AR5008 / 168c:0023) / ath9k wireless card
- slow connection and continuously disconnecting and reconnecting
+ 168c:0023 ath9k wifi slow, and frequently disconnects/reconnects
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.5-quantal
Sebastian Schlatow (buzz-dee) wrote :

Joseph Salisbury where is a daily directory? I can't see such a directory. I already tried to test kernel v3.6-rc1-quantal [0], but I had to remove it, because of the additional problems caused by that kernel. For example, I can't save documents with gedit, if I use that kernel.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/

tags: added: kernel-unable-to-test-upstream-v3.6-rc1-quantal
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Sebastian Schlatow (buzz-dee) wrote :

I gave kernel v3.6-rc1-quantal [0] a new try and the problem also exists in this mainline kernel.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/

tags: added: kernel-bug-exists-upstream-v3.6-rc1-quantal
removed: kernel-unable-to-test-upstream-v3.6-rc1-quantal
tags: removed: needs-upstream-testing
description: updated
description: updated
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Sebastian Schlatow (buzz-dee) wrote :

Joseph Salisbury to which maintainer e-mail should I send the bug-report?

1277 ATHEROS ATH9K WIRELESS DRIVER
1278 M: "Luis R. Rodriguez" <email address hidden>
1279 M: Jouni Malinen <email address hidden>
1280 M: Vasanthakumar Thiagarajan <email address hidden>
1281 M: Senthil Balasubramanian <email address hidden>
1282 L: <email address hidden>
1283 L: <email address hidden>
1284 W: http://wireless.kernel.org/en/users/Drivers/ath9k
1285 S: Supported
1286 F: drivers/net/wireless/ath/ath9k/

Sebastian Schlatow, could you please send it <email address hidden> , as that is their vetted bug report mailinglist. The list will further advise on how they want you to proceed.

Sebastian Schlatow (buzz-dee) wrote :
  • lspci.txt Edit (42.5 KiB, text/plain; name="lspci.txt"; charset="UTF-8")
Download full text (16.3 KiB)

The connection to the wireless network often gets lost and then
reconnects. Furthermore the connection to the wireless network is often
very slow (1 Mb/s). Sometimes after I have reloaded the ath9k kernel
module, I can get a connection to the network and sometimes not.
Sometimes I have to reboot the pc, because I can't get a connection, but
often I can't get a connection after that.

wireless card:
TP-Link TL-WN951N (AR5416 / AR5008 / 168c:0023)

I tested the following mainline kernels.:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4.1-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4.6-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-quantal/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/

In those upstream kernel versions the bug is still present.

I had this problem also with Ubuntu Oneiric Ocelot 11.10 and with Ubuntu
Natty Narwhal 11.04, but with Natty the problem was not so bad because
it was very rare.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-27-generic 3.2.0-27.43
ProcVersionSignature: Ubuntu 3.2.0-27.43-generic 3.2.21
Uname: Linux 3.2.0-27-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu11
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: buzz-dee 2462 F.... pulseaudio
 /dev/snd/controlC0: buzz-dee 2462 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xfbffc000 irq 17'
   Mixer name : 'Realtek ALC660-VD'
   Components : 'HDA:10ec0660,1043c603,00100001'
   Controls : 36
   Simple ctrls : 19
Card1.Amixer.info:
 Card hw:1 'SAA7134'/'saa7133[0] at 0xfbeef800 irq 18'
   Mixer name : 'SAA7134 Mixer'
   Components : ''
   Controls : 6
   Simple ctrls : 3
CurrentDmesg:
 [ 51.480531] vboxdrv: fAsync=1 offMin=0x3600c offMax=0x3600c
 [ 51.480654] vboxdrv: TSC mode is 'asynchronous', kernel timer mode is
'normal'.
 [ 51.480656] vboxdrv: Successfully loaded version 4.1.12_Ubuntu
(interface 0x00190000).
 [ 51.525894] vboxpci: IOMMU not found (not registered)
 [ 52.102129] init: plymouth-stop pre-start process (2156) terminated
with status 1
Date: Fri Aug 3 22:12:57 2012
HibernationDevice: RESUME=UUID=7a9c200e-f813-4561-9c36-0d50f5e42f84
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
MachineType: System manufacturer M2V
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/zsh
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-27-generic
root=UUID=837266ea-e282-4520-9b4d-8cf22d49c9cd ro quiet splash
vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-27-generic N/A
 linux-backports-modules-3.2.0-27-generic N/A
 linux-firmware 1.79
SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2012-06-10 (54 days ago)
dmi.bios.date: 02/21/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2101
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2V
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.ven...

description: updated

Sebastian , regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1032826/comments/8 :
>"What additional informations do I need from those sites?:
http://www.kernel.org/doc/Documentation/oops-tracing.txt"

As the problem is one with the ath9k driver but does not produce an oops (ex. flashing Caps Lock), you do not need to provide information from this document.

<"http://www.kernel.org/doc/Documentation/"

I briefly browsed through each document and did not see one that fit for you to provide more information. So, please skip for now and if upstream asks for more information, the Ubuntu wireless debugging article could be updated with the more accurate and recent upstream debugging information https://wiki.ubuntu.com/Kernel/LinuxWireless .

However, could you also please provide any missing information following https://wiki.ubuntu.com/Kernel/LinuxWireless#Bug_Report_Minimum_Requirement_Information ?

Sebastian Schlatow (buzz-dee) wrote :

Wireless Access Point Manufacturer, Model: FRITZ!Box Fon WLAN 7141
Firmware-Version: 40.04.76

Other WiFi devices (Android Phones, Netbooks, Laptop) works with this wireless access point without problems.

Sebastian Schlatow (buzz-dee) wrote :

Encryption Type: WPA2 (CCMP)
No MAC filtering.

description: updated
Sebastian Schlatow (buzz-dee) wrote :

Should I now report the bug on Bugzilla.kernel.org after I have no E-Mail Response from Maintainer yet?

Sebastian Schlatow, did you E-Mail the maintainer directly or post to the mailing list?

If you E-Mailed the maintainer directly, could you please E-Mail the mailing list?

If you already E-Mailed the mailing list, could you please post the hyperlink so we may track it? As well, feel free to report a bug on the kernel bugzilla.

Sebastian Schlatow (buzz-dee) wrote :

Christopher M. Penalver, I e-mailed to these lists:

<email address hidden>
<email address hidden>

Where can I find the hyperlink?

Mike Sandfort (cute-moniker) wrote :

I have recently upgraded a system with a TPLink WN951N (AR5416) from 10.04 LTS to 12.04.1 LTS. Under 10.04, I could associate with my wireless AP, although there were periodic hiccups; under 12.04.1, I cannot associate at all. This is true regardless of whether I use the 12.04.1 done via upgrade or via a GRUB2-mounted fresh 12.04.1 ISO. Using an older NIC (abg) under ath5k, I can associate with no problem under 12.04.1. Built-in wireless on the mobo (ralink, abgn) also associates fine under 12.04.1. I have tested the WN951N under 12.04.1 with the built-in wireless on the mobo both plugged-in and unplugged (to test module interference between ralink and ath9k).

In the interest of not becoming a "me too" on this thread, please advise on the proper reporting procedure. Shall I report a new bug on Launchpad? In ath9k-devel? Kernel list? All of the above?

I share Mr. Schlatow's concern about the long-running problems with the AR5416/AR5008 chipset under ath9k. The AR5416 is not an uncommon chipset and this persistent bug represents a substantial loss of functionality for Ubuntu users at all skill levels.

Mike Sandfort, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

description: updated
description: updated

Sebastian Schlatow, while we are waiting for an upstream response:
+ Does the issue occur with different APs?
+ Does compat-wireless provide a WORKAROUND or solution following https://wiki.ubuntu.com/Kernel/LinuxWireless#Compat-wireless_in_Ubuntu ?
+ Does ndiswrapper provide a WORKAROUND or solution following https://help.ubuntu.com/community/WifiDocs/Driver/Ndiswrapper ?

Changed in linux (Ubuntu):
status: Triaged → Incomplete
description: updated
tags: added: kernel-bug-exists-upstream-v3.6-rc6-quantal
removed: kernel-bug-exists-upstream-v3.6-rc1-quantal
Sebastian Schlatow (buzz-dee) wrote :

This is a desktop-pc, so I haven't access to other APs.

I tested some versions of "linux-backports-modules-cw-3.3-precise-generic", but no one provided a solution. I don't tested versions from "linux-backports-modules-cw-3.4-precise-generic", because I tested newer kernel versions than the provided backports.

Why should I test compat-wireless, if I test the newest upstream-kernel?

I don't want use ndiswrapper!

tags: added: kernel-bug-exists-upstream-v3.6-rc1-quantal

Sebastian Schlatow, thank you for testing the newest mainline kernel. Regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1032826/comments/20 :
>"I don't want use ndiswrapper!"

Of course you do not have to. However, it would be a shame if it would have worked for you, while one waits for this bug to be fixed.

Despite this, could you please regression test for this in Lucid via http://cdimage.ubuntu.com/releases/10.04.4/release/ ?

tags: added: kernel-bug-exists-upstream-v3.6-rc5-quantal
description: updated
tags: added: kernel-bug-exists-upstream-v3.4-precise kernel-bug-exists-upstream-v3.4.1-quantal kernel-bug-exists-upstream-v3.6-rc7-quantal
tags: added: kernel-bug-exists-upstream-v3.4.6-quantal
tags: added: kernel-bug-exists-upstream-v3.5.3-quantal
Sebastian Schlatow (buzz-dee) wrote :

Christopher M. Penalver, you mean a working solution with ndiswrapper would be a fix for this bug?

Is there something special or why you post a link to lucid dvd image? Could I also download the lucid cd image http://releases.ubuntu.com/lucid/ ?

Sebastian Schaltow, regarding your comments :
>"Christopher M. Penalver, you mean a working solution with ndiswrapper would be a fix for this bug?"

Either a WORKAROUND or solution, as you like.

>"Is there something special or why you post a link to lucid dvd image? Could I also download the lucid cd image http://releases.ubuntu.com/lucid/ ?"

No, it was completely arbitrary. If the Lucid CD works for you, please use this instead.

Sebastian Schlatow (buzz-dee) wrote :

I tested the following windows drivers:

    http://www.tp-link.com/resources/software/TL-WN951N_100505.zip
    http://www.tp-link.com/resources/software/TL-WN951N_v1_100421.zip

with Ndiswrapper from the repository and the current test version:

    http://downloads.sourceforge.net/project/ndiswrapper/testing/ndiswrapper-1.58rc1.tar.gz

but sometimes my system freezes after loading the ndiswrapper kernel modul. After reboot, my system stops booting.

    http://askubuntu.com/questions/193258/unload-kernel-module-before-boot/193262#193262

If the system is not freezed after loading the ndiswrapper kernel modul, I couldn't recognize a working wireless network interface with iwconfig.

Sebastian Schlatow (buzz-dee) wrote :

I used the Windows XP 64 bit drivers.

description: updated
Changed in linux (Ubuntu):
status: Incomplete → Triaged
description: updated
Marlon Costa (marlonsc) wrote :

Using Quantal this problem does not occour in my wireless with this PCI-ID. That kernel version had something that fixes that bug.

Sebastian Schlatow (buzz-dee) wrote :

Marlon Costa as you stated there: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1003406/comments/14, you have a different wireless chipset, so please don't comment that the bug is fixed. I tried the Quantal mainline kernels and the bug is not fixed in those kernels. Which mainline kernels I tested, you can see in the bug description above.

description: updated
description: updated
whatever (mdeissenberger) wrote :

I have the same problem on Opensuse 12.2, with the 3.4 and the 3.6.10 kernel. On Opensuse 12.1 (kernel 3.1) the card worked. Other PCs (Intel Notebook with Opensuse 12.2, Macbook,...) work without problems with the access point (D-Link DIR-825). Encryption: WPA2

Wlan card:
 hwinfo --netcard
33: PCI 300.0: 0282 WLAN controller
  [Created at pci.319]
  Unique ID: y9sn.uyH7FwuBjV0
  Parent ID: M71A.6PhIFwEgJQC
  SysFS ID: /devices/pci0000:00/0000:00:07.0/0000:03:00.0
  SysFS BusID: 0000:03:00.0
  Hardware Class: network
  Model: "Atheros AR5008 Wireless Network Adapter"
  Vendor: pci 0x168c "Atheros Communications Inc."
  Device: pci 0x0024 "AR5008 Wireless Network Adapter"
  SubVendor: pci 0x1186 "D-Link System Inc"
  SubDevice: pci 0x3a70
  Revision: 0x01
  Driver: "ath9k"
  Driver Modules: "ath9k"
  Device File: wlan0
  Features: WLAN
  Memory Range: 0xfddf0000-0xfddfffff (rw,non-prefetchable)
  IRQ: 19 (8825 events)
  HW Address: 1c:7e:e5:10:60:f6
  Link detected: no
  WLAN channels: 1 2 3 4 5 6 7 8 9 10 11 12 13
  WLAN frequencies: 2.412 2.417 2.422 2.427 2.432 2.437 2.442 2.447 2.452 2.457 2.462 2.467 2.472
  WLAN encryption modes: WEP40 WEP104 TKIP CCMP
  WLAN authentication modes: open sharedkey wpa-psk wpa-eap
  Module Alias: "pci:v0000168Cd00000024sv00001186sd00003A70bc02sc80i00"
  Driver Info #0:
    Driver Status: ath9k is active
    Driver Activation Cmd: "modprobe ath9k"
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #11 (PCI bridge)

description: updated
tags: added: kernel-bug-exists-upstream-v3.7-raring
Patrik Kullman (nomego) wrote :

I must say that wireless works much better with v3.8-rc6-raring.
Range seems much worse, but once in range, is much more stable.

Can anyone else confirm as well?

Sebastian Schlatow, could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc6-raring/ and report the results?

tags: added: kernel-bug-exists-upstream-v3.7 needs-upstream-testing
removed: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.4-precise kernel-bug-exists-upstream-v3.4.1-quantal kernel-bug-exists-upstream-v3.4.6-quantal kernel-bug-exists-upstream-v3.5-quantal kernel-bug-exists-upstream-v3.5.3-quantal kernel-bug-exists-upstream-v3.6-rc1-quantal kernel-bug-exists-upstream-v3.6-rc5-quantal kernel-bug-exists-upstream-v3.6-rc6-quantal kernel-bug-exists-upstream-v3.6-rc7-quantal kernel-bug-exists-upstream-v3.7-raring
Changed in linux (Ubuntu):
status: Triaged → Incomplete
description: updated
Sebastian Schlatow (buzz-dee) wrote :

I think http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc6-raring/ has the bug also.

~$ uname -a
Linux buzz-dee-desktop 3.8.0-030800rc6-generic #201301312135 SMP Fri Feb 1 02:36:25 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

~$ iwconfig
wlan1 IEEE 802.11bgn
          Mode:Managed Frequency:2.437 GHz
          Bit Rate=2 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=31/70 Signal level=-79 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:1989 Invalid misc:5826 Missed beacon:0

~$ dmesg | egrep '\<ath\>|ath9k'
[ 319.522776] ath: EEPROM regdomain: 0x809c
[ 319.522784] ath: EEPROM indicates we should expect a country code
[ 319.522789] ath: doing EEPROM country->regdmn map search
[ 319.522793] ath: country maps to regdmn code: 0x52
[ 319.522797] ath: Country alpha2 being used: CN
[ 319.522800] ath: Regpair used: 0x52
[ 319.544841] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 5043.736046] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 5045.716177] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 5045.729036] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 5045.751117] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 5045.751130] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 5045.766824] ath: phy0: Failed to stop TX DMA, queues=0x005!
[10364.984196] ath: phy0: Failed to stop TX DMA, queues=0x004!
[10366.736013] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[10366.749112] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[10366.762559] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[10366.784996] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[10366.785004] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[10366.800307] ath: phy0: Failed to stop TX DMA, queues=0x005!
[14422.040940] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000062c0
[14422.040993] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[14422.063960] ath: phy0: Failed to stop TX DMA, queues=0x001!
[24897.719993] ath: phy0: Failed to stop TX DMA, queues=0x001!
[46222.024223] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000062c0
[46222.024242] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[46222.033494] ath: phy0: Failed to stop TX DMA, queues=0x001!

description: updated
Sebastian Schlatow (buzz-dee) wrote :

Next test: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc7-raring/

Output of the following commands at the beginning:

~$ uname -a
Linux buzz-dee-desktop 3.8.0-030800rc7-generic #201302081635 SMP Fri Feb 8 21:36:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

~$ iwconfig wlan1
wlan1 IEEE 802.11bgn
          Mode:Managed Frequency:2.437 GHz
          Bit Rate=54 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=38/70 Signal level=-72 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:123 Invalid misc:1314 Missed beacon:0

~$ dmesg | egrep '\<ath\>|ath9k'
[ 91.278092] ath: EEPROM regdomain: 0x809c
[ 91.278096] ath: EEPROM indicates we should expect a country code
[ 91.278098] ath: doing EEPROM country->regdmn map search
[ 91.278100] ath: country maps to regdmn code: 0x52
[ 91.278102] ath: Country alpha2 being used: CN
[ 91.278104] ath: Regpair used: 0x52
[ 91.351734] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'

Sebastian Schlatow (buzz-dee) wrote :

First problems during downloading updates.

~$ iwconfig wlan1
wlan1 IEEE 802.11bgn
          Mode:Managed Frequency:2.437 GHz
          Bit Rate=54 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=35/70 Signal level=-75 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:324 Invalid misc:2714 Missed beacon:0

~$ dmesg | egrep '\<ath\>|ath9k'
[ 91.278092] ath: EEPROM regdomain: 0x809c
[ 91.278096] ath: EEPROM indicates we should expect a country code
[ 91.278098] ath: doing EEPROM country->regdmn map search
[ 91.278100] ath: country maps to regdmn code: 0x52
[ 91.278102] ath: Country alpha2 being used: CN
[ 91.278104] ath: Regpair used: 0x52
[ 91.351734] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 1374.857661] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1648.808226] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1650.241012] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 1650.241031] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 1650.256753] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 1651.192010] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 1651.204642] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 1651.226379] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 1651.226387] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 1651.241927] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 1789.144920] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1790.790088] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 1790.806831] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 1790.824216] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 1790.824224] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 1790.831924] ath: phy0: Failed to stop TX DMA, queues=0x001!

Sebastian Schlatow (buzz-dee) wrote :

First connection lost and low speed.

~$ uname -a
Linux buzz-dee-desktop 3.8.0-030800rc7-generic #201302081635 SMP Fri Feb 8 21:36:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

~$ iwconfig wlan1
wlan1 IEEE 802.11bgn
          Mode:Managed Frequency:2.437 GHz
          Bit Rate=1 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=28/70 Signal level=-82 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:475 Invalid misc:57 Missed beacon:0

~$ dmesg | egrep '\<ath\>|ath9k'
[ 84.457377] ath: EEPROM regdomain: 0x809c
[ 84.457382] ath: EEPROM indicates we should expect a country code
[ 84.457384] ath: doing EEPROM country->regdmn map search
[ 84.457386] ath: country maps to regdmn code: 0x52
[ 84.457388] ath: Country alpha2 being used: CN
[ 84.457389] ath: Regpair used: 0x52
[ 84.503427] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 162.926711] ath: phy0: Failed to stop TX DMA, queues=0x004!

description: updated

Sebastian Schlatow, thank you for testing the newest mainline kernel. It was not clear if you tested this in Lucid. If not, could you please do so via http://releases.ubuntu.com/lucid/ ?

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.8-rc7
removed: kernel-bug-exists-upstream-v3.7 needs-upstream-testing
description: updated
Sebastian Schlatow (buzz-dee) wrote :
Download full text (7.8 KiB)

Next test: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-raring/

First problems and connection lost during downloading Ubuntu with Deluge

~$ uname -a
Linux buzz-dee-desktop 3.8.0-030800-generic #201302181935 SMP Tue Feb 19 00:36:19 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

~$ iwconfig wlan1
wlan1 IEEE 802.11bgn ESSID:"ArpaNet"
          Mode:Managed Frequency:2.437 GHz Access Point: 00:04:0E:D9:C5:4D
          Bit Rate=54 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=31/70 Signal level=-79 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:2 Invalid misc:1736 Missed beacon:0

~$ dmesg | egrep '\<ath\>|ath9k'
[ 125.556795] ath: EEPROM regdomain: 0x809c
[ 125.556801] ath: EEPROM indicates we should expect a country code
[ 125.556804] ath: doing EEPROM country->regdmn map search
[ 125.556806] ath: country maps to regdmn code: 0x52
[ 125.556808] ath: Country alpha2 being used: CN
[ 125.556810] ath: Regpair used: 0x52
[ 125.658069] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 710.273943] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 731.751808] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 733.215053] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 733.215072] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 733.230748] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 734.160407] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 734.173187] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 734.184006] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 734.191240] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 734.223521] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[ 734.223531] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 734.238850] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 734.332038] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 734.364875] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00008040
[ 734.364886] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 734.432910] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00008040
[ 734.432928] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 734.440830] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 734.508895] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00008040
[ 734.508913] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 734.516812] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 734.584931] ath: phy0: DMA failed to sto...

Read more...

Sebastian Schlatow (buzz-dee) wrote :

Christopher M. Penalver I try Lucid the next days from an USB stick.

Sebastian Schlatow (buzz-dee) wrote :

Today I tried Ubuntu Lucid 10.04 from LiveUSB. It seems that the problem also exists in Lucid, because I lost the WLAN connection. The system reconnected immediately, but the wireless speed is slow. Until now dmesg shows no error messages.

~$ lsb_release -d
Description: Ubuntu 10.04.4 LTS

~$ uname -a
Linux ubuntu 2.6.32-38-generic #83-Ubuntu SMP Wed Jan 4 11:12:07 UTC 2012 x86_64 GNU/Linux

~$ iwconfig wlan0
wlan0 IEEE 802.11bgn ESSID:"ArpaNet"
          Mode:Managed Frequency:2.412 GHz Access Point: 00:04:0E:D9:C5:4D
          Bit Rate=12 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=36/70 Signal level=-74 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

~$ dmesg | egrep '\<ath\>|ath9k'
[ 22.327847] ath9k 0000:07:07.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 22.750375] ath: EEPROM regdomain: 0x809c
[ 22.750377] ath: EEPROM indicates we should expect a country code
[ 22.750379] ath: doing EEPROM country->regdmn map search
[ 22.750381] ath: country maps to regdmn code: 0x52
[ 22.750383] ath: Country alpha2 being used: CN
[ 22.750385] ath: Regpair used: 0x52
[ 22.781910] phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 22.782668] Registered led device: ath9k-phy0::radio
[ 22.782689] Registered led device: ath9k-phy0::assoc
[ 22.782708] Registered led device: ath9k-phy0::tx
[ 22.782731] Registered led device: ath9k-phy0::rx

Sebastian Schlatow (buzz-dee) wrote :

Slower

~$ iwconfig wlan0
wlan0 IEEE 802.11bgn ESSID:"ArpaNet"
          Mode:Managed Frequency:2.412 GHz Access Point: 00:04:0E:D9:C5:4D
          Bit Rate=2 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=33/70 Signal level=-77 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

tags: added: lucid
tags: added: raring
description: updated
Sebastian Schlatow (buzz-dee) wrote :

Slower and first error messages with Ubuntu Lucid 10.04 LTS.

~$ iwconfig wlan0
wlan0 IEEE 802.11bgn ESSID:"ArpaNet"
          Mode:Managed Frequency:2.412 GHz Access Point: 00:04:0E:D9:C5:4D
          Bit Rate=1 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=36/70 Signal level=-74 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

~$ dmesg | egrep '\<ath\>|ath9k'
[ 22.327847] ath9k 0000:07:07.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 22.750375] ath: EEPROM regdomain: 0x809c
[ 22.750377] ath: EEPROM indicates we should expect a country code
[ 22.750379] ath: doing EEPROM country->regdmn map search
[ 22.750381] ath: country maps to regdmn code: 0x52
[ 22.750383] ath: Country alpha2 being used: CN
[ 22.750385] ath: Regpair used: 0x52
[ 22.781910] phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 22.782668] Registered led device: ath9k-phy0::radio
[ 22.782689] Registered led device: ath9k-phy0::assoc
[ 22.782708] Registered led device: ath9k-phy0::tx
[ 22.782731] Registered led device: ath9k-phy0::rx
[ 2486.440787] ath9k: Failed to stop TX DMA in 100 msec after killing last frame
[ 2486.440830] ath9k: Unable to stop TxDMA. Reset HAL!
[ 2487.890856] ath9k: Failed to stop TX DMA in 100 msec after killing last frame
[ 2487.890902] ath9k: Unable to stop TxDMA. Reset HAL!

Sebastian Schlatow (buzz-dee) wrote :
Download full text (10.1 KiB)

Bug also exists in Ubuntu Raring 13.04.

~$ lsb_release -d
Description: Ubuntu 13.04

~$ uname -a
Linux BuZZdEE-M2V-Desktop 3.9.0-030900-generic #201304291257 SMP Mon Apr 29 16:58:15 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

~$ iwconfig wlan0
wlan0 IEEE 802.11bgn ESSID:"ArpaNet"
          Mode:Managed Frequency:2.412 GHz Access Point: 00:04:0E:D9:C5:4D
          Bit Rate=11 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=35/70 Signal level=-75 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:5 Invalid misc:32 Missed beacon:0

~$ dmesg | egrep '\<ath\>|ath9k'
[ 11.344600] ath: EEPROM regdomain: 0x809c
[ 11.344604] ath: EEPROM indicates we should expect a country code
[ 11.344606] ath: doing EEPROM country->regdmn map search
[ 11.344608] ath: country maps to regdmn code: 0x52
[ 11.344610] ath: Country alpha2 being used: CN
[ 11.344611] ath: Regpair used: 0x52
[ 11.408407] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[52600.932743] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00028040
[52600.932989] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[52957.837078] ath: phy0: Failed to stop TX DMA, queues=0x004!
[52957.851115] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000062c0
[52957.851126] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[58627.238520] ath: phy0: Failed to stop TX DMA, queues=0x004!
[58629.223346] ath: phy0: Failed to stop TX DMA, queues=0x005!
[58629.236328] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[58629.236341] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[58630.141735] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[58630.154668] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[58630.180025] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[58630.267089] ath: phy0: Failed to stop TX DMA, queues=0x005!
[58630.279994] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[58630.280027] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[64115.692076] ath: phy0: Failed to stop TX DMA, queues=0x001!
[64115.724988] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00028040
[64115.725007] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[64116.717375] ath: phy0: Failed to stop TX DMA, queues=0x001!
[64116.730293] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006040
[64116.730305] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[64116.795935] ath: phy0: Failed to stop TX DMA, queues=0x001...

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
tags: added: kernel-bug-exists-upstream-v3.9 latest-bios-2101
removed: kernel-bug-exists-upstream-v3.8-rc7

Sebastian Schaltow, thank you for testing Lucid and Raring. Could you please test the latest upstream kernel available (v3.10-rc3-saucy) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.10-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Luiz Angelo Daros de Luca, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

hatsch (hatsch) wrote :

as chrisboo found out in this thread:
http://ubuntuforums.org/showthread.php?t=1865577&page=191&p=12634850#post12634850

the wifi is working fine with kernel 3.6.11 found here:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6.11-raring/

seems like there was some regression introduced in later versions..

Hello,

I signed to this bug because I'm facing it with openwrt. It uses kernel 3.3.8 but it might have something backported from next versions.
This also affects, besides openwrt, fedora. Just look for "phy0: Failed to stop TX DMA," on google.

hatsch / Luiz Angelo Daros de Luca, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.